<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(!get_active('forums'))
{
	notActive();
}
$Koobi = new Koobi;
$GLOBALS['tmpl']->assign('top_title', $GLOBALS['config_vars']['Forums_NewTopic']);

// forum id überprüfen
$forum_result = $GLOBALS['db']->Query("SELECT title, status FROM " . PREFIX . "_f_forum WHERE id = '" . escs($_REQUEST['fid']) . "'");
$forum = $forum_result->fetchrow();

// es wurde eine falsche fid übergeben
if ($forum_result->numrows() < 1)
{
	koobi_message('Forums_Title','Forums_PermissionDenied', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
}

if ( ($forum->status == FORUM_STATUS_CLOSED) && (UGROUP != 1) )
{
	koobi_message('Forums_Title', 'Forums_MsgisClosed', $_SERVER['HTTP_REFERER']);
}

// ====================================================================================
// zugriffsrechte
// ====================================================================================
$cat_query = $GLOBALS['db']->Query("SELECT group_id FROM " . PREFIX . "_f_forum WHERE id = '" . escs($_REQUEST['fid']) . "'");
while ($category = $cat_query->fetchrow_assoc())
{
	// miscrechte
	$group_ids = miscIds();
	$perm = false;
	$groups = explode(",", $category['group_id']);
	if (array_intersect($group_ids, $groups)) 
	{
		$permissions = getForumPermissionsByUser(escs($_REQUEST['fid']), UID);
		if (@$permissions[FORUM_PERMISSION_CAN_CREATE_TOPIC] == 1)
		{
			$perm = true;
		}
	}
}

// user ist nicht eingeloggt, hat keine berechtigung oder ist kein admin
if ( (!$perm) && (UGROUP != 1) )
{
	koobi_message('Global_NoPermission', 'Global_NoPermission_t', HOME_PATH . '/index.php?p=showforum&amp;fid=' . $_REQUEST['fid']);
}

if (SMILIES == 1) $GLOBALS['tmpl']->assign("smilie", 1);

// navigation erzeugen
$navigation = getNavigation($_REQUEST['fid'], 'forum') . $GLOBALS['config_vars']['Forums_Splitter'] . "<a class='forum_links_navi' href='index.php?p=showforum&amp;fid=" . escs($_REQUEST['fid']). "'>" . $forum->title . "</a>";
$GLOBALS['tmpl']->assign('treeview', @explode($GLOBALS['config_vars']['Forums_Splitter'], $navigation));

$stitle = $GLOBALS['config_vars']['Forums_Title'];
$sname = str_replace($GLOBALS['config_vars']['Forums_Splitter'], " - ", strip_tags($navigation)) . " - " . $forum->title;

$GLOBALS['tmpl']->assign('permissions', $permissions);
$GLOBALS['tmpl']->assign('bbcodes', BBCODESITE);
$GLOBALS['tmpl']->assign('new_topic', 1);
$GLOBALS['tmpl']->assign('maxlength_post', MAXLENGTH_POST);
$GLOBALS['tmpl']->assign('listfonts',  fontdropdown());
$GLOBALS['tmpl']->assign('sizedropdown',  sizedropdown());
$GLOBALS['tmpl']->assign('colordropdown',  colordropdown());
$GLOBALS['tmpl']->assign('posticons', getPosticons());
$GLOBALS['tmpl']->assign('listemos', listsmilies(0,1,1));
$GLOBALS['tmpl']->assign('forum_id', $_REQUEST["fid"]);
$GLOBALS['tmpl']->assign('topicform', $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/forums/topicform.tpl'));
$GLOBALS['tmpl']->assign('threadform', $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/forums/threadform.tpl'));
$GLOBALS['tmpl']->assign('action', "index.php?p=addtopic");
$GLOBALS['tmpl']->assign('pagetitle_html', $sname);
$GLOBALS['tmpl']->assign('content', $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/forums/addtopic.tpl')); 
?>